Technorati Rank WordPress plugin versie 2 uitgebracht!

Heet op de hielen van de eerste Technorati Rank-plug-in, heb ik de uitvoerinhoud opnieuw ontworpen om het te maken CSS gedreven (hieronder is een screenshot, je kunt communiceren met die in de zijbalk van mijn site):

Technorati Rank WordPress Plugin Versie 2

Deze was een stuk uitdagender om te produceren, maar de output is veel mooier. Eerst gebruikte ik wat ik heb geleerd over Bitbox om elk van de uitvoerknoppen op de afbeelding in Illustrator te maken.

De volgende stap was het gebruik van stijlen om daadwerkelijk iemand van een afbeelding kaart behalve dat er eigenlijk is geen kaart! Het is best cool, eigenlijk. U kunt de algemene div-achtergrond instellen en vervolgens elk van de 'hotspots' maken met behulp van absolute positionering en CSS. Bekijk de output-CSS.

Ik heb ook een link toegevoegd naar Technorati's nieuwe WTF pagina en het RSS-adres van de site. Ik hoop dat je het leuk vind! Ik vind het een enorme verbetering ten opzichte van de eerste versie! Er is een i link in de rechterbenedenhoek die de plug-in ook promoot.

Huidige Technorati Rank WordPress Plugin versie 2.0.4

23 reacties

  1. 1
  2. 3

    Ik heb geprobeerd de nieuwste en beste te installeren volgens uw aanwijzingen tot op de "letter" 🙂

    maar ik kreeg de volgende foutmelding

    Fatale fout: kan niet-bestaande klasse: simplexmlelement instantiëren in /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php op regel 64

    suggesties?

    • 4
      • 5
        • 6

          Ik hoop dat ze dat doen! Maar ik hoop ook dat je host upgrades krijgt. PHP5 brengt echt een aantal veel betere prestatieverbeteringen met zich mee, evenals enkele betere tools voor het consumeren van API's. Ik gebruik Jumpline, je ziet een link in mijn sponsorlijst op mijn homepage. Ik geloof ook dat Dotster goede VDS-hosting heeft met de nieuwste en beste.

      • 7

        Doug,
        Ik heb hetzelfde probleem
        Ik belde mijn host en ze zeiden dat mijn server PHP 4 en PHP 5 heeft, maar als ik een bestand met PHP 5 wil draaien, moet het script de .php5 bestandsextensie hebben.

        Dus ... ik heb de bestandsextensies gewijzigd, en het verdwijnt uit de plug-ins in wordpress.

        Iemand een idee?

  3. 10

    Geweldige plug-in, uitstekende styling! Bedankt Doug en geweldig werk. Ik wist niet eens van de eerste af, maar deze gaat in mijn zijbalkpronto.

    Het is ECHT de moeite waard om te zien dat mijn Illustrator-tips je hebben geholpen bij het maken van je knoppen !!!!!

    nogmaals bedankt,

    ~ BittBox

    • 11

      Bedankt, BittBox! Ik denk dat ik een goed oog heb voor stijl, maar ik krijg het meestal nooit goed. Uw samples daadwerkelijk kunnen downloaden en ontleden, is wat het verschil maakt. Ik kan die ideeën nu echt uitvoeren. 🙂

      Ik speel met wat gedachten over de koptekst en achtergrond van mijn blog.

  4. 12

    Nou, Doug, het lijkt erop dat de versie 2-plug-in een hekel aan me heeft. Ik krijg foutmeldingen:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Ondanks de foutmeldingen laat het ook mijn Technorati-rang zien (~ 26.5k: D). Ik weet niet genoeg van PHP om te weten waarom het huilt om dat ene bestand.
    Interessant genoeg gebruiken we SuPHP op onze server, dus alles draait zoals wij (dus chmod-vereisten hebben niet langer wereldwijd schrijfbare bestanden nodig, en php-scripts zullen bijvoorbeeld niet worden uitgevoerd als chmod'ed te hoog is).

    Alle php voor dit subdomein draait als php5.

    Iemand een idee?

    • 13

      Heb je een wp-content / cache-directory Xial? Ik dacht dat het een goed idee zou zijn om dezelfde cachemap te gebruiken als WP-Cache. Achteraf gezien was het misschien geen goed idee! Die regel is zeker om naar het cachebestand te schrijven.

      • 14

        Zeker, Doug. Ik draai al een tijdje WP-Cache. 🙂

        Ik was ook een beetje nieuwsgierig waarom het hierover zou klagen, aangezien ik wel de benodigde directory heb, maar ik vermoed dat het iets heel anders is.

      • 15

        Interessant stukje informatie om toe te voegen:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Het retourneert nog steeds de fouten.

    • 16

      Ik wil gewoon meedoen met dezelfde fout. Site draait php5, en de knop wordt weergegeven.
      Ik heb geprobeerd regels 121-123 uit te spreken, en de plug werkt prima. Kan ik het live zetten, of zal het ontbreken van die lijnen op de langere termijn voor problemen zorgen?

  5. 17

    Ik krijg dezelfde fouten als hierboven, ik dacht ook dat het mijn cache-map was, maar ik heb er een en zorgde er ook voor dat de schrijfrechten correct waren.
    In de zijbalk wordt de plug-in (met rang) weergegeven, maar met die fouten erboven.

    • 18

      Hi Richard,

      Kunt u controleren of u PHP-versie 5+ heeft en dat CURL is ingeschakeld? U kunt dit doen door een pagina op uw site te bouwen met <?php phpinfo(); ?> op een pagina. Open dan die pagina. Bovenaan de pagina staat uw versie van PHP en u kunt naar CURL zoeken om er zeker van te zijn dat deze is ingeschakeld.

      Bedankt!
      Doug

      • 19

        Nou, Doug, ik heb mijn PHP-versie dubbel gecontroleerd.
        Ik gebruik PHP5 en cURL is gecompileerd in (een van mijn gebruikelijke drie verzoeken aan mijn host om dingen in PHP te compileren).

        Al het andere werkt prima, maar ik weet niet helemaal zeker waarom deze plug-in verstikt, tenzij het de versie is van cURL die is gecompileerd in PHP (we zijn op 7.15.4 en de laatste lijkt 7.16.1 te zijn). Ik wil mijn host echter niet lastigvallen om php5 alleen daarvoor opnieuw te compileren, als ik het kan helpen. <: 3

        • 20

          Ik ga dit weekend dieper kijken. Het draait zonder problemen op een paar sites - dus het is een van de drie dingen: 3. Cache, 1. cURL of 2. PHP-versie.

          Ik kan oudere PHP 4-functionaliteit gebruiken om de XML op te halen en te parseren, maar het kan het behoorlijk vertragen - ik ga dit weekend testen. Ik waardeer alle input. "Houston we hebben een probleem!".

  6. 21
  7. 22
  8. 23

    Ik heb nogal wat verzoeken ontvangen dat er fouten zijn opgetreden bij het schrijven of lezen van het cachebestand. Ik heb een probleem geïdentificeerd waarbij ik het cachebestand naar de root-directory pushte en trok. Ik heb versie 2.0.4 aangepast zodat het naar een cache-submap in de map van de plug-in schrijft.

    Laat me alsjeblieft weten hoe het werkt! (Heeft nog steeds SimpleXML en cURL nodig!)

Wat denk je?

Deze site gebruikt Akismet om spam te verminderen. Ontdek hoe uw reactiegegevens worden verwerkt.